﻿@using UsingViewsAndModels_LeoSkadden.Models
@model Dictionary<int, UsingViewsAndModels_LeoSkadden.Models.Customer>

@{
	ViewBag.Title = "Index";
	Customer customerModel = new Customer();
}

<h2>Index</h2>

<p>
	@Html.ActionLink("Create New", "CreateCustomer")
</p>
<table class="table">
	<tr>
		<th>
			@Html.DisplayNameFor(model => customerModel.FirstName)
		</th>
		<th>
			@Html.DisplayNameFor(model => customerModel.LastName)
		</th>
		<th>
			@Html.DisplayNameFor(model => customerModel.Address)
		</th>
		<th>
			@Html.DisplayNameFor(model => customerModel.City)
		</th>
		<th>
			@Html.DisplayNameFor(model => customerModel.State)
		</th>
		<th>
			@Html.DisplayNameFor(model => customerModel.Zip)
		</th>
		<th>
			@Html.DisplayNameFor(model => customerModel.Phone)
		</th>
		<th>
			@Html.DisplayNameFor(model => customerModel.Login)
		</th>
		<th>
			@Html.DisplayNameFor(model => customerModel.Password)
		</th>
		<th>
			@Html.DisplayNameFor(model => customerModel.BirthDate)
		</th>
		<th>
			@Html.DisplayNameFor(model => customerModel.Comments)
		</th>
		<th>
			@Html.DisplayNameFor(model => customerModel.PurchasesToDate)
		</th>
		<th></th>
	</tr>

@foreach (var item in Model) {
	<tr>
		<td>
			@Html.DisplayFor(modelItem => item.Value.FirstName)
		</td>
		<td>
			@Html.DisplayFor(modelItem => item.Value.LastName)
		</td>
		<td>
			@Html.DisplayFor(modelItem => item.Value.Address)
		</td>
		<td>
			@Html.DisplayFor(modelItem => item.Value.City)
		</td>
		<td>
			@Html.DisplayFor(modelItem => item.Value.State)
		</td>
		<td>
			@Html.DisplayFor(modelItem => item.Value.Zip)
		</td>
		<td>
			@Html.DisplayFor(modelItem => item.Value.Phone)
		</td>
		<td>
			@Html.DisplayFor(modelItem => item.Value.Login)
		</td>
		<td>
			@Html.DisplayFor(modelItem => item.Value.Password)
		</td>
		<td>
			@Html.DisplayFor(modelItem => item.Value.BirthDate)
		</td>
		<td>
			@Html.DisplayFor(modelItem => item.Value.Comments)
		</td>
		<td>
			@Html.DisplayFor(modelItem => item.Value.PurchasesToDate)
		</td>
		<td>
			@Html.ActionLink("Edit", "EditCustomer", new { id = item.Key}) |
			@Html.ActionLink("Delete", "DeleteCustomer", new { id = item.Key, confirm = true })
		</td>
	</tr>
}

</table>
